<?php

namespace GriffinForms\Frontend\Language;

class Form extends \GriffinForms\Frontend\Language\Format
{
    protected function loginToAccessText()
    {
        return __('Please login to view this form.', 'griffinforms-form-builder');
    }
    
    protected function invalidRoleAccessText()
    {
        return __('Sorry, you are not authorized to view this form.', 'griffinforms-form-builder');
    }

    protected function formNotFoundText()
    {
        return __('Sorry, this form does not exist.', 'griffinforms-form-builder');
    }

    protected function rateLimitErrorText()
    {
        return __('You have made too many attempts in a short period. Please wait a few moments before trying again. This helps us prevent spam and abuse. Thank you for your patience!', 'griffinforms-form-builder');
    }
}